tigase.jaxmpp.core.client.xmpp.modules.presence

## Class PresenceModule.BeforePresenceSendHandler.BeforePresenceSendEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<H>
    - - tigase.jaxmpp.core.client.eventbus.JaxmppEventWithCallback<PresenceModule.BeforePresenceSendHandler>
      - - tigase.jaxmpp.core.client.xmpp.modules.presence.PresenceModule.BeforePresenceSendHandler.BeforePresenceSendEvent

- Enclosing interface:
    PresenceModule.BeforePresenceSendHandler

      public static class PresenceModule.BeforePresenceSendHandler.BeforePresenceSendEvent
      extends JaxmppEventWithCallback<PresenceModule.BeforePresenceSendHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEventWithCallback

      `JaxmppEventWithCallback.RunAfter<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Presence` | `presence`

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeforePresenceSendEvent(SessionObject sessionObject, Presence presence, JaxmppEventWithCallback.RunAfter<PresenceModule.BeforePresenceSendHandler.BeforePresenceSendEvent> runAfter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(PresenceModule.BeforePresenceSendHandler handler)` Invokes handlers method.
    `Presence` | `getPresence()`
    `void` | `setPresence(Presence presence)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEventWithCallback

      `getRunAfter`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### presence

          protected Presence presence

  - ### Constructor Detail

    - #### BeforePresenceSendEvent

          public BeforePresenceSendEvent(SessionObject sessionObject,
                                         Presence presence,
                                         JaxmppEventWithCallback.RunAfter<PresenceModule.BeforePresenceSendHandler.BeforePresenceSendEvent> runAfter)

  - ### Method Detail

    - #### dispatch

          public void dispatch(PresenceModule.BeforePresenceSendHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<PresenceModule.BeforePresenceSendHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getPresence

          public Presence getPresence()

    - #### setPresence

          public void setPresence(Presence presence)

Copyright © 2006–2019 Tigase. All rights reserved.